Template:Character infobox/styles.css

From Disney•Pixar CARS Wiki
Jump to navigation Jump to search
/* Character infobox */
#character .infobox-image-cell img {
	max-width: unset;
}
#character.infobox .tabber {
	display: flex;
	flex-direction: column-reverse;
}
#character.infobox .tabber_header {
	box-shadow: none;
}
#character.infobox .tabber__section {
	box-shadow: inset 0 -1px 0 0 var(--tabber-border-color-base);
}
#character.infobox .tabber__tabs {
	justify-content: center;
}
#character.infobox .tabber__tab[aria-selected="false"] {
	color: #666464;
}
#character.infobox section > .tabber__panel {
	text-align: center;
}

.infobox-variants button {
	float: none;
	order: 2;
}
.infobox-variants .var-parent-cell {
	color: #fff;
}
.infobox-variants td:first-of-type:not(.variant-cell) {
	padding: 2px 0;
	display: flex;
	justify-content: center;
	background: linear-gradient(to bottom, #717776 0, #717372 50%, #626463 96%, #333 100%) !important;
}
.variant-cell {
	vertical-align: middle !important;
}
.variant-names td {
	font-size: 85%;
}
.variant-names > td > p, 
.variants tr:first-of-type .variant-cell {
	display: none;
}
.variants {
	max-width: 323px;
}
.variants,
.var-main-cell > .var-parent-cell {
	background: linear-gradient(to bottom, #cac8c9 0, white 50%, #cac8c9 100%);
}
.variants td {
	background: none !important;
}
.variants tr:first-of-type .variant-cell.variant-cell-shown {
	display: table-cell !important;
}